MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023690Community[OCCT] OCCT:Application Frameworkpublic2013-01-07 23:322013-04-29 15:22
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeverityintegration request 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.4 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023690: Miscellaneous minor enhancements in OCAF/XDE
DescriptionA set of a few minor enhancements mainly to positively affect performance. Grouped into commit to reduce integration overhead.

TDF_Label
- constructor made inline

XCAFDoc_Color
- GetColor() to return const&

XCAFDoc_ColorTool
- GetColor() returning a label made static

XCAFDoc_Location
- Get() to return const&
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0022908)
Roman Lygin (developer)
2013-01-07 23:48

Pushed into the git repository as branch CR23690

Of course, to benefit from these changes (except TDF_Label) the callers must be respectively updated. Inlining TDF_Label constructors will be used automatically during next compile
(0022909)
abv (manager)
2013-01-08 11:01

No remarks, please test
(0022933)
mkv (tester)
2013-01-10 16:25

Dear BugMaster,

There are compilation errors on Linux:

http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR23690/job/mnt-CR23690-master_build_occt_linux/2/parsed_console/? [^]

../../../src/XCAFDoc/XCAFDoc_ColorTool.cxx: In static member function
'static Standard_Boolean XCAFDoc_ColorTool::GetColor(const
TopoDS_Shape&, XCAFDoc_ColorType, TDF_Label&)':


../../../src/XCAFDoc/XCAFDoc_ColorTool.cxx:323:
 error: cannot call member function 'const Handle_XCAFDoc_ShapeTool&
 XCAFDoc_ColorTool::ShapeTool()' without object


../../../src/XCAFDoc/XCAFDoc_ColorTool.cxx:324:
 error: cannot call member function 'Standard_Boolean
XCAFDoc_ColorTool::GetColor(const TDF_Label&, XCAFDoc_ColorType,
TDF_Label&)' without object
(0022937)
Roman Lygin (developer)
2013-01-10 23:17

Sorry for the trouble.
The fixed XCAFDoc_ColorTool.cdl has been updated in the branch CR23690 (with --force).
The root-cause of the failure - wrong overload has been made static. The correct method is one accepting TDF_Label, not TopoDS_Shape.

I have not caught the issue prior to committing as this .cdl change has not been promoted into my 6.5.4-based dev environment (to minimize API changes) and I do not built the git environment as there are no Visual Studio files. Neither do I use WOK other than for header extraction.
(0023006)
mkv (tester)
2013-01-17 15:24

Dear BugMaster,

Branch CR23690 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

- Related Changesets
occt: master d97f89db
Timestamp: 2013-01-18 09:47:00
Author: Roman Lygin
Details ] Diff ]
0023690: Miscellaneous minor enhancements in OCAF/XDE
mod - src/TDF/TDF_Label.cdl Diff ] File ]
mod - src/TDF/TDF_Label.cxx Diff ] File ]
mod - src/TDF/TDF_Label.lxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Color.cdl Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Color.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ColorTool.cdl Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Location.cdl Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_Location.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-01-07 23:32 Roman Lygin New Issue
2013-01-07 23:32 Roman Lygin Assigned To => szy
2013-01-07 23:48 Roman Lygin Note Added: 0022908
2013-01-07 23:48 Roman Lygin Status new => resolved
2013-01-08 11:01 abv Note Added: 0022909
2013-01-08 11:01 abv Status resolved => reviewed
2013-01-10 16:25 mkv Note Added: 0022933
2013-01-10 16:25 mkv Test case number => Not needed
2013-01-10 16:25 mkv Assigned To szy => abv
2013-01-10 16:25 mkv Status reviewed => assigned
2013-01-10 16:32 abv Assigned To abv => Roman Lygin
2013-01-10 23:17 Roman Lygin Note Added: 0022937
2013-01-10 23:17 Roman Lygin Assigned To Roman Lygin => mkv
2013-01-10 23:17 Roman Lygin Status assigned => resolved
2013-01-11 12:57 abv Status resolved => reviewed
2013-01-17 15:24 mkv Note Added: 0023006
2013-01-17 15:26 mkv Assigned To mkv => bugmaster
2013-01-17 15:26 mkv Status reviewed => tested
2013-01-21 18:29 Roman Lygin Changeset attached => occt master d97f89db
2013-01-21 18:29 Roman Lygin Assigned To bugmaster => Roman Lygin
2013-01-21 18:29 Roman Lygin Status tested => verified
2013-01-21 18:29 Roman Lygin Resolution open => fixed
2013-02-20 10:19 bugmaster Target Version => 6.6.0
2013-04-23 13:35 user533 Status verified => closed
2013-04-29 15:22 user533 Fixed in Version => 6.6.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker